#ifndef AVR_Softcore_main_H_
#define AVR_Softcore_main_H_
	
//Define the IO-Addresses for the attached Devices:
//LEDs:
#define GPO_BASE	0x08
#define LEDS		_SFR_IO8(GPO_BASE+0) //8 LEDs on the Spartan3-Board

#define GPI_BASE 	0x10
#define SliSwi		_SFR_IO8(GPI_BASE+0) //4 Sliding-Switches on the Spartan3-Board

//UART:
#define UART_BASE 	0x00
#define RECBUFF		_SFR_IO8(UART_BASE+0) //The different Registers of the 16550-Uart.
#define THR			_SFR_IO8(UART_BASE+0)
#define IER			_SFR_IO8(UART_BASE+1)
#define IIR			_SFR_IO8(UART_BASE+2)
#define FCR			_SFR_IO8(UART_BASE+2)
#define LCR			_SFR_IO8(UART_BASE+3)
#define MCR			_SFR_IO8(UART_BASE+4)
#define LSR			_SFR_IO8(UART_BASE+5)
#define MSR			_SFR_IO8(UART_BASE+6)
#define DIVLATCHLSB	_SFR_IO8(UART_BASE+0)
#define DIVLATCHMSB	_SFR_IO8(UART_BASE+1)



//function prototypes:


#endif
